## cwltool 2.0.20200126090152+dfsg

=== Makefile ===
# This file is part of cwltool,
# https://github.com/common-workflow-language/cwltool/, and is
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Contact: common-workflow-language@googlegroups.com

# make format to fix most python formatting errors
# make pylint to check Python code for enhanced compliance including naming
#  and documentation
# make coverage-report to check coverage of the python scripts by the tests

MODULE=cwltool

# `SHELL=bash` doesn't work for some, so don't use BASH-isms like
# `[[` conditional expressions.
PYSOURCES=$(wildcard ${MODULE}/**.py tests/*.py) setup.py
DEVPKGS=diff_cover black pylint coverage pep257 pydocstyle flake8 mypy\
	pytest-xdist==1.27.0 isort wheel -rtest-requirements.txt
DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount \
	   python-flake8 python-mock shellcheck
VERSION=2.0.$(shell TZ=UTC git log --first-parent --max-count=1 \
	--format=format:%cd --date=format-local:%Y%m%d%H%M%S)
mkfile_dir := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))
UNAME_S=$(shell uname -s)

## all         : default task
all:
	pip install -e .

## help        : print this help message and exit
help: Makefile
	@sed -n 's/^##//p' $<

## install-dep : install most of the development dependencies via pip
install-dep: install-dependencies

install-dependencies:
	pip install --upgrade $(DEVPKGS)
	pip install -r requirements.txt

## install-deb-dep: install most of the dev dependencies via apt-get
install-deb-dep:
	sudo apt-get install $(DEBDEVPKGS)

## install     : install the ${MODULE} module and schema-salad-tool
install: FORCE
	pip install .[deps]

## dev     : install the ${MODULE} module in dev mode
dev: install-dep
	pip install -e .[deps]


## dist        : create a module package for distribution
dist: dist/${MODULE}-$(VERSION).tar.gz

dist/${MODULE}-$(VERSION).tar.gz: $(SOURCES)
	./setup.py sdist bdist_wheel

## clean       : clean up all temporary / machine-generated files
clean: FORCE
	rm -f ${MODILE}/*.pyc tests/*.pyc
	./setup.py clean --all || true
	rm -Rf .coverage
	rm -f diff-cover.html

# Linting and code style related targets
## sorting imports using isort: https://github.com/timothycrosley/isort
sort_imports:
	isort ${MODULE}/*.py tests/*.py setup.py

pep257: pydocstyle
## pydocstyle      : check Python code style
pydocstyle: $(PYSOURCES)
	pydocstyle --add-ignore=D100,D101,D102,D103 $^ || true

pydocstyle_report.txt: $(PYSOURCES)
	pydocstyle setup.py $^ > $@ 2>&1 || true

diff_pydocstyle_report: pydocstyle_report.txt
	diff-quality --violations=pycodestyle --fail-under=100 $^

## format      : check/fix all code indentation and formatting (runs black)
format:
	black --exclude cwltool/schemas setup.py cwltool.py cwltool tests

## pylint      : run static code analysis on Python code
pylint: $(PYSOURCES)
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
                $^ -j0|| true

pylint_report.txt: ${PYSOURCES}
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
		$^ -j0> $@ || true

diff_pylint_report: pylint_report.txt
	diff-quality --violations=pylint pylint_report.txt

.coverage: testcov

coverage: .coverage
	coverage report

coverage.xml: .coverage
	coverage xml

coverage.html: htmlcov/index.html

htmlcov/index.html: .coverage
	coverage html
	@echo Test coverage of the Python code is now in htmlcov/index.html

coverage-report: .coverage
	coverage report

diff-cover: coverage.xml
	diff-cover $^

diff-cover.html: coverage.xml
	diff-cover $^ --html-report $@

## test        : run the ${MODULE} test suite
test: $(pysources)
	python setup.py test --addopts "-n auto --dist=loadfile"

## testcov     : run the ${MODULE} test suite and collect coverage
testcov: $(pysources)
	python setup.py test --addopts "--cov cwltool -n auto --dist=loadfile"

sloccount.sc: ${PYSOURCES} Makefile
	sloccount --duplicates --wide --details $^ > $@

## sloccount   : count lines of code
sloccount: ${PYSOURCES} Makefile
	sloccount $^

list-author-emails:
	@echo 'name, E-Mail Address'
	@git log --format='%aN,%aE' | sort -u | grep -v 'root'

mypy3: mypy
mypy: ${PYSOURCES}
	if ! test -f $(shell python3 -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))')/py.typed ; \
	then \
		rm -Rf typeshed/2and3/ruamel/yaml ; \
		ln -s $(shell python3 -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
			typeshed/2and3/ruamel/ ; \
	fi  # if minimally required ruamel.yaml version is 0.15.99 or greater, than the above can be removed
	MYPYPATH=$$MYPYPATH:typeshed/3:typeshed/2and3 mypy --disallow-untyped-calls \
		 --warn-redundant-casts \
		 cwltool
release-test: FORCE
	git diff-index --quiet HEAD -- || ( echo You have uncommited changes, please commit them and try again; false )
	./release-test.sh

release: release-test
	. testenv2/bin/activate && \
		testenv2/src/${MODULE}/setup.py sdist bdist_wheel && \
		pip install twine && \
		twine upload testenv2/src/${MODULE}/dist/* && \
		git tag ${VERSION} && git push --tags

FORCE:

# Use this to print the value of a Makefile variable
# Example `make print-VERSION`
# From https://www.cmcrossroads.com/article/printing-value-makefile-variable
print-%  : ; @echo $* = $($*)

=== debian/changelog ===
cwltool (2.0.20200126090152+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set fields Upstream-Contact in debian/copyright.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 14 Feb 2020 13:16:02 +0100

=== debian/control ===
Source: cwltool
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               procps,
               python3,
               python3-all,
               python3-setuptools,
               python3-coloredlogs,
               python3-rdflib,
               python3-rdflib-jsonld <!nocheck>,
               python3-schema-salad (>=4.5),
               python3-shellescape,
               python3-html5lib,
               python3-sparqlwrapper,
               python3-keepalive,
               python3-ruamel.yaml,
               python3-pytest <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-mock <!nocheck>,
               python3-mypy-extensions,
               python3-psutil,
               python3-prov,
               nodejs,
               help2man
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/cwltool
Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
Homepage: https://www.commonwl.org

Package: cwltool
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-mypy-extensions
Recommends: nodejs
Suggests: docker.io | singularity-container
Provides: cwl-runner
Description: Common Workflow Language reference implementation
 This is the reference implementation of the Common Workflow Language
 standards.
 .
 The CWL open standards are for describing analysis workflows and tools in a
 way that makes them portable and scalable across a variety of software and
 hardware environments, from workstations to cluster, cloud, and high
 performance computing (HPC) environments. CWL is designed to meet the needs of
 data-intensive science, such as Bioinformatics, Medical Imaging, Astronomy,
 Physics, and Chemistry.
 .
 The CWL reference implementation (cwltool) is intended to be feature complete
 and to provide comprehensive validation of CWL files as well as provide other
 tools related to working with CWL descriptions.

=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-pytest-xdist, python3-pytest-mock, python3-pytest-runner, nodejs, curl, python3-mock, procps
Restrictions: allow-stderr

## cwltool 2.0.20200224214940+dfsg

=== requirements.txt ===
requests>=2.4.3
ruamel.yaml>=0.12.4,<=0.16.5
rdflib>=4.2.2,<4.3
shellescape>=3.4.1,<3.5
schema-salad>=5,<6
typing>=3.5.3; python_version<"3.6"
pathlib2 != 2.3.1
prov==1.5.1
bagit==1.6.4
mypy-extensions
psutil
typing-extensions
coloredlogs

=== debian/changelog ===
cwltool (2.0.20200224214940+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 26 Feb 2020 12:50:44 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                python3-prov,
                nodejs,
                help2man
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/cwltool
 Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
 Homepage: https://www.commonwl.org

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1
include /usr/share/dpkg/default.mk
export PYBUILD_NAME=cwltool
export PYBUILD_TEST_ARGS=-n=auto
export HOME=$(shell echo $$PWD"/fakehome")

%:
	dh $@ --with python3 --buildsystem=pybuild

debian/cwltool.1: debian/rules debian/cwltool.help2man
	python3 setup.py develop --user
	help2man --version-string $(DEB_VERSION_EPOCH_UPSTREAM) -I debian/cwltool.help2man -N \
		-o debian/cwltool.1  'python3 -m cwltool'
	sed -i 's/__main__.py/cwltool/g' debian/cwltool.1

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_installman: debian/cwltool.1
	dh_installman
else
override_dh_installman:
endif

override_dh_auto_install:
	dh_auto_install
	find debian -name '*.cwl' -exec chmod a+x {} \;
	find debian -name '*.json' -exec chmod a-x {} \;

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
	dh_auto_install
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
		-k 'not test_http_path_mapping and not test_pack and not test_get_subgraph and not TestUdocker and not test_use_metadata' \
		-n auto --dist=loadfile --ignore cwltool/schemas/ -s --pyarg cwltool" dh_auto_test
endif

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+dfsg,dversionmangle=s/\.dfsg// \
https://pypi.debian.net/cwltool/cwltool-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cwltool 3.0.20200324120055+dfsg

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	pytest-xdist==1.27.0 isort wheel -rtest-requirements.txt
 DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount \
 	   python-flake8 python-mock shellcheck
-VERSION=2.0.$(shell TZ=UTC git log --first-parent --max-count=1 \
+VERSION=3.0.$(shell TZ=UTC git log --first-parent --max-count=1 \
 	--format=format:%cd --date=format-local:%Y%m%d%H%M%S)
 mkfile_dir := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))
 UNAME_S=$(shell uname -s)

=== debian/changelog ===
cwltool (3.0.20200324120055+dfsg-2) unstable; urgency=medium

  * Allow newer ruamel.yaml version. Closes: #963318

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jun 2020 10:38:55 +0200

cwltool (3.0.20200324120055+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

  [ Andreas Tille ]
  * Bug #954640 of python3-humanfriendly was fixed
    Closes: #954496

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 07 Apr 2020 15:16:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: cwltool
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
+Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
@@ -32,6 +32,7 @@
 Vcs-Browser: https://salsa.debian.org/med-team/cwltool
 Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
 Homepage: https://www.commonwl.org
+Rules-Requires-Root: no
 
 Package: cwltool
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,6 @@
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
 	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
-		-k 'not test_http_path_mapping and not test_pack and not test_get_subgraph and not TestUdocker and not test_use_metadata' \
+		-k 'not test_http_path_mapping and not test_pack and not test_get_subgraph and not TestUdocker and not test_use_metadata and not test_load_graph_fragment_from_packed' \
 		-n auto --dist=loadfile --ignore cwltool/schemas/ -s --pyarg cwltool" dh_auto_test
 endif

## cwltool 3.0.20200807132242

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # `[[` conditional expressions.
 PYSOURCES=$(wildcard ${MODULE}/**.py tests/*.py) setup.py
 DEVPKGS=diff_cover black pylint coverage pep257 pydocstyle flake8 mypy\
-	pytest-xdist==1.27.0 isort wheel -rtest-requirements.txt
+	pytest-xdist isort wheel -rtest-requirements.txt
 DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount \
 	   python-flake8 python-mock shellcheck
 VERSION=3.0.$(shell TZ=UTC git log --first-parent --max-count=1 \
@@ -89,7 +89,7 @@
 	pydocstyle setup.py $^ > $@ 2>&1 || true
 
 diff_pydocstyle_report: pydocstyle_report.txt
-	diff-quality --violations=pycodestyle --fail-under=100 $^
+	diff-quality --compare-branch=main --violations=pydocstyle --fail-under=100 $^
 
 ## format      : check/fix all code indentation and formatting (runs black)
 format:
@@ -160,6 +160,10 @@
 	MYPYPATH=$$MYPYPATH:typeshed/3:typeshed/2and3 mypy --disallow-untyped-calls \
 		 --warn-redundant-casts \
 		 cwltool
+
+mypyc: ${PYSOURCES}
+	MYPYPATH=typeshed/2and3/:typeshed/3 CWLTOOL_USE_MYPYC=1 pip install --verbose -e . && pytest --ignore cwltool/schemas --basetemp ./tmp
+
 release-test: FORCE
 	git diff-index --quiet HEAD -- || ( echo You have uncommited changes, please commit them and try again; false )
 	./release-test.sh

=== requirements.txt ===
requests>=2.4.3
ruamel.yaml>=0.12.4,<=0.16.5
rdflib>=4.2.2,<4.3
shellescape>=3.4.1,<3.5
schema-salad>=7,<8
typing>=3.5.3; python_version<"3.6"
prov==1.5.1
bagit==1.6.4
mypy-extensions
psutil
typing-extensions
coloredlogs

=== debian/changelog ===
cwltool (3.0.20200807132242-5) unstable; urgency=high

  * debian/control: bump schema-salad dependency to 7.0.20200811075006-2

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 11:30:08 +0100

cwltool (3.0.20200807132242-4) unstable; urgency=high

  * debian/patches/rdflib5: add compatibility with python3-rdflib >= 5.0
    Closes: #978295

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 10:29:33 +0100

cwltool (3.0.20200807132242-3) unstable; urgency=medium

  * Team upload.
  * Abbreviated option names are no longer allowed in pytest 6
    Closes: #977067
  * Standards-Version: 4.5.1

 -- Andreas Tille <tille@debian.org>  Thu, 10 Dec 2020 22:19:00 +0100

cwltool (3.0.20200807132242-2) unstable; urgency=medium

  * Team upload.
  * Depends: python3-arcp
    Closes: #969666

 -- Andreas Tille <tille@debian.org>  Thu, 10 Sep 2020 13:43:51 +0200

cwltool (3.0.20200807132242-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Refresh patches
  * Needs python3-schema-salad >=7
  * New dependency: python3-pydot

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 27 Aug 2020 11:21:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                procps,
                python3,
@@ -12,7 +12,7 @@
                python3-coloredlogs,
                python3-rdflib,
                python3-rdflib-jsonld <!nocheck>,
-               python3-schema-salad (>=4.5),
+               python3-schema-salad (>=7.0.20200811075006-2),
                python3-shellescape,
                python3-html5lib,
                python3-sparqlwrapper,
@@ -26,9 +26,11 @@
                python3-mypy-extensions,
                python3-psutil,
                python3-prov,
+               python3-arcp,
+               python3-pydot,
                nodejs,
                help2man
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/cwltool
 Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
 Homepage: https://www.commonwl.org
@@ -38,7 +40,8 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-mypy-extensions
+         python3-mypy-extensions,
+         python3-arcp
 Recommends: nodejs
 Suggests: docker.io | singularity-container
 Provides: cwl-runner

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 include /usr/share/dpkg/default.mk
 export PYBUILD_NAME=cwltool
 export PYBUILD_TEST_ARGS=-n=auto
+export PYBUILD_AFTER_TEST=rm -Rf {build_dir}/tmp/
 export HOME=$(shell echo $$PWD"/fakehome")
 
 %:
@@ -34,5 +35,5 @@
 	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
 	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
 		-k 'not test_http_path_mapping and not test_pack and not test_get_subgraph and not TestUdocker and not test_use_metadata and not test_load_graph_fragment_from_packed' \
-		-n auto --dist=loadfile --ignore cwltool/schemas/ -s --pyarg cwltool" dh_auto_test
+		-n auto --dist=loadfile --ignore cwltool/schemas/ -s --pyargs cwltool" dh_auto_test
 endif

## cwltool 3.0.20210124104916

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # `[[` conditional expressions.
 PYSOURCES=$(wildcard ${MODULE}/**.py tests/*.py) setup.py
 DEVPKGS=diff_cover black pylint coverage pep257 pydocstyle flake8 mypy\
-	pytest-xdist isort wheel -rtest-requirements.txt
+	pytest-xdist isort wheel autoflake -rtest-requirements.txt
 DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount \
 	   python-flake8 python-mock shellcheck
 VERSION=3.0.$(shell TZ=UTC git log --first-parent --max-count=1 \
@@ -68,6 +68,10 @@
 dist/${MODULE}-$(VERSION).tar.gz: $(SOURCES)
 	./setup.py sdist bdist_wheel
 
+## docs	       : make the docs
+docs: FORCE
+	cd docs && $(MAKE) html
+
 ## clean       : clean up all temporary / machine-generated files
 clean: FORCE
 	rm -f ${MODILE}/*.pyc tests/*.pyc
@@ -80,12 +84,15 @@
 sort_imports:
 	isort ${MODULE}/*.py tests/*.py setup.py
 
+remove_unused_imports: $(PYSOURCES)
+	autoflake --in-place --remove-all-unused-imports $^
+
 pep257: pydocstyle
 ## pydocstyle      : check Python code style
 pydocstyle: $(PYSOURCES)
 	pydocstyle --add-ignore=D100,D101,D102,D103 $^ || true
 
-pydocstyle_report.txt: $(PYSOURCES)
+pydocstyle_report.txt: $(filter-out tests/%,${PYSOURCES})
 	pydocstyle setup.py $^ > $@ 2>&1 || true
 
 diff_pydocstyle_report: pydocstyle_report.txt
@@ -150,7 +157,7 @@
 	@git log --format='%aN,%aE' | sort -u | grep -v 'root'
 
 mypy3: mypy
-mypy: ${PYSOURCES}
+mypy: $(filter-out setup.py gittagger.py,${PYSOURCES})
 	if ! test -f $(shell python3 -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))')/py.typed ; \
 	then \
 		rm -Rf typeshed/2and3/ruamel/yaml ; \
@@ -159,10 +166,14 @@
 	fi  # if minimally required ruamel.yaml version is 0.15.99 or greater, than the above can be removed
 	MYPYPATH=$$MYPYPATH:typeshed/3:typeshed/2and3 mypy --disallow-untyped-calls \
 		 --warn-redundant-casts \
-		 cwltool
+		 $^
 
 mypyc: ${PYSOURCES}
 	MYPYPATH=typeshed/2and3/:typeshed/3 CWLTOOL_USE_MYPYC=1 pip install --verbose -e . && pytest --ignore cwltool/schemas --basetemp ./tmp
+
+shellcheck: FORCE
+	shellcheck build-cwl-docker.sh cwl-docker.sh release-test.sh travis.bash \
+		cwltool-in-docker.sh
 
 release-test: FORCE
 	git diff-index --quiet HEAD -- || ( echo You have uncommited changes, please commit them and try again; false )

=== requirements.txt ===
requests>=2.4.3
ruamel.yaml>=0.12.4,<=0.16.5
rdflib>=4.2.2,<5.1
shellescape>=3.4.1,<3.5
schema-salad>=7.0.20210124093443,<8
prov==1.5.1
bagit==1.6.4
mypy-extensions
psutil
typing-extensions
coloredlogs

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-coloredlogs,
                python3-rdflib,
                python3-rdflib-jsonld <!nocheck>,
-               python3-schema-salad (>=7.0.20200811075006-2),
+               python3-schema-salad (>=7.0.20210124093443),
                python3-shellescape,
                python3-html5lib,
                python3-sparqlwrapper,
@@ -28,6 +28,7 @@
                python3-prov,
                python3-arcp,
                python3-pydot,
+               python3-argcomplete,
                nodejs,
                help2man
 Standards-Version: 4.5.1
@@ -41,8 +42,11 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          python3-mypy-extensions,
-         python3-arcp
+         python3-arcp,
+         python3-argcomplete,
+         python3-distutils
 Recommends: nodejs
+Breaks: toil (<< 5)
 Suggests: docker.io | singularity-container
 Provides: cwl-runner
 Description: Common Workflow Language reference implementation

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/default.mk
 export PYBUILD_NAME=cwltool
 export PYBUILD_TEST_ARGS=-n=auto
-export PYBUILD_AFTER_TEST=rm -Rf {build_dir}/tmp/
+export PYBUILD_AFTER_TEST=rm -Rf {build_dir}/tmp/ {build_dir}/main.cwl {build_dir}/output.txt*
 export HOME=$(shell echo $$PWD"/fakehome")
 
 %:
@@ -34,6 +34,6 @@
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
 	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
-		-k 'not test_http_path_mapping and not test_pack and not test_get_subgraph and not TestUdocker and not test_use_metadata and not test_load_graph_fragment_from_packed' \
+		-k 'not test_http_path_mapping and not test_pack and not test_get_subgraph and not test_use_metadata and not test_load_graph_fragment_from_packed and not test_udocker_usage_should_not_write_cid_file and not test_udocker_should_display_memory_usage' \
 		-n auto --dist=loadfile --ignore cwltool/schemas/ -s --pyargs cwltool" dh_auto_test
 endif

=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-pytest-xdist, python3-pytest-mock, python3-pytest-runner, nodejs, curl, python3-mock, procps
Restrictions: allow-stderr

Test-Command: cwltool --help
Depends: cwltool

## cwltool 3.1.20210922203925

=== Makefile ===
# This file is part of cwltool,
# https://github.com/common-workflow-language/cwltool/, and is
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Contact: common-workflow-language@googlegroups.com

# make format to fix most python formatting errors
# make pylint to check Python code for enhanced compliance including naming
#  and documentation
# make coverage-report to check coverage of the python scripts by the tests

MODULE=cwltool

# `SHELL=bash` doesn't work for some, so don't use BASH-isms like
# `[[` conditional expressions.
PYSOURCES=$(wildcard ${MODULE}/**.py tests/*.py) setup.py
DEVPKGS=diff_cover black pylint pep257 pydocstyle flake8 tox tox-pyenv \
	isort wheel autoflake flake8-bugbear pyupgrade bandit \
	-rtest-requirements.txt -rmypy_requirements.txt
DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount \
	   python-flake8 python-mock shellcheck

VERSION=3.1.$(shell TZ=UTC git log --first-parent --max-count=1 \
	--format=format:%cd --date=format-local:%Y%m%d%H%M%S)
mkfile_dir := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))
UNAME_S=$(shell uname -s)

## all         : default task
all: dev

## help        : print this help message and exit
help: Makefile
	@sed -n 's/^##//p' $<

## install-dep : install most of the development dependencies via pip
install-dep: install-dependencies

install-dependencies: FORCE
	pip install --upgrade $(DEVPKGS)
	pip install -r requirements.txt

## install-deb-dep: install most of the dev dependencies via apt-get
install-deb-dep:
	sudo apt-get install $(DEBDEVPKGS)

## install     : install the ${MODULE} module and schema-salad-tool
install: FORCE
	pip install .[deps]

## dev     : install the ${MODULE} module in dev mode
dev: install-dep
	pip install -e .[deps]


## dist        : create a module package for distribution
dist: dist/${MODULE}-$(VERSION).tar.gz

check-python3:
# Check that the default python version is python 3
	python --version 2>&1 | grep "Python 3"

dist/${MODULE}-$(VERSION).tar.gz: check-python3 $(SOURCES)
	python setup.py sdist bdist_wheel

## docs	       : make the docs
docs: FORCE
	cd docs && $(MAKE) html

## clean       : clean up all temporary / machine-generated files
clean: check-python3 FORCE
	rm -f ${MODULE}/*.pyc tests/*.pyc *.so ${MODULE}/*.so
	rm -Rf ${MODULE}/__pycache__/
	python setup.py clean --all || true
	rm -Rf .coverage
	rm -f diff-cover.html

# Linting and code style related targets
## sorting imports using isort: https://github.com/timothycrosley/isort
sort_imports: $(PYSOURCES)
	isort $^

remove_unused_imports: $(PYSOURCES)
	autoflake --in-place --remove-all-unused-imports $^

pep257: pydocstyle
## pydocstyle      : check Python code style
pydocstyle: $(PYSOURCES)
	pydocstyle --add-ignore=D100,D101,D102,D103 $^ || true

pydocstyle_report.txt: $(PYSOURCES)
	pydocstyle setup.py $^ > $@ 2>&1 || true

diff_pydocstyle_report: pydocstyle_report.txt
	diff-quality --compare-branch=main --violations=pydocstyle --fail-under=100 $^

## format      : check/fix all code indentation and formatting (runs black)
format:
	black --exclude cwltool/schemas setup.py cwltool.py cwltool tests

format-check:
	black --diff --check --exclude cwltool/schemas setup.py cwltool.py cwltool tests

## pylint      : run static code analysis on Python code
pylint: $(PYSOURCES)
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
                $^ -j0|| true

pylint_report.txt: $(PYSOURCES)
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
		$^ -j0> $@ || true

diff_pylint_report: pylint_report.txt
	diff-quality --compare-branch=main --violations=pylint pylint_report.txt

.coverage: testcov

coverage: .coverage
	coverage report

coverage.xml: .coverage
	coverage xml

coverage.html: htmlcov/index.html

htmlcov/index.html: .coverage
	coverage html
	@echo Test coverage of the Python code is now in htmlcov/index.html

coverage-report: .coverage
	coverage report

diff-cover: coverage.xml
	diff-cover --compare-branch=main $^

diff-cover.html: coverage.xml
	diff-cover --compare-branch=main $^ --html-report $@

## test        : run the ${MODULE} test suite
test: check-python3 $(PYSOURCES)
	python -m pytest -rs ${PYTEST_EXTRA}

## testcov     : run the ${MODULE} test suite and collect coverage
testcov: check-python3 $(PYSOURCES)
	python -m pytest -rs --cov --cov-config=.coveragerc --cov-report= ${PYTEST_EXTRA}

sloccount.sc: $(PYSOURCES) Makefile
	sloccount --duplicates --wide --details $^ > $@

## sloccount   : count lines of code
sloccount: $(PYSOURCES) Makefile
	sloccount $^

list-author-emails:
	@echo 'name, E-Mail Address'
	@git log --format='%aN,%aE' | sort -u | grep -v 'root'

mypy3: mypy
mypy: $(filter-out setup.py gittagger.py,$(PYSOURCES))
	if ! test -f $(shell python -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))')/py.typed ; \
	then \
		rm -Rf typeshed/ruamel/yaml ; \
		ln -s $(shell python -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
			typeshed/ruamel/ ; \
	fi  # if minimally required ruamel.yaml version is 0.15.99 or greater, than the above can be removed
	MYPYPATH=$$MYPYPATH:typeshed mypy $^

mypyc: $(PYSOURCES)
	MYPYPATH=typeshed CWLTOOL_USE_MYPYC=1 pip install --verbose -e . \
		 && pytest -rs -vv ${PYTEST_EXTRA}

shellcheck: FORCE
	shellcheck build-cwltool-docker.sh cwl-docker.sh release-test.sh conformance-test.sh \
		cwltool-in-docker.sh

pyupgrade: $(PYSOURCES)
	pyupgrade --exit-zero-even-if-changed --py36-plus $^

release-test: check-python3 FORCE
	git diff-index --quiet HEAD -- || ( echo You have uncommited changes, please commit them and try again; false )
	./release-test.sh

release: release-test
	. testenv2/bin/activate && \
		python testenv2/src/${MODULE}/setup.py sdist bdist_wheel && \
		pip install twine && \
		twine upload testenv2/src/${MODULE}/dist/* && \
		git tag ${VERSION} && git push --tags

flake8: $(PYSOURCES)
	flake8 $^

FORCE:

# Use this to print the value of a Makefile variable
# Example `make print-VERSION`
# From https://www.cmcrossroads.com/article/printing-value-makefile-variable
print-%  : ; @echo $* = $($*)

=== requirements.txt ===
requests>=2.4.3
ruamel.yaml>=0.15,<0.17.17
rdflib>=4.2.2,<6.1
shellescape>=3.4.1,<3.9
schema-salad>=8.2.20210914115719,<9
prov==1.5.1
bagit==1.8.1
mypy-extensions
psutil>=5.6.6
typing-extensions
coloredlogs
pydot>=1.4.1
argcomplete>=1.12.0

=== debian/changelog ===
cwltool (3.1.20210922203925-4) unstable; urgency=medium

  * Increase resiliance of test_malformed_reqs

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Oct 2021 09:36:35 +0200

cwltool (3.1.20210922203925-3) unstable; urgency=medium

  * Autopkgtests: Correct name of pytest package.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 30 Sep 2021 12:51:53 +0200

cwltool (3.1.20210922203925-2) unstable; urgency=medium

  * This version break toil versions of less than 5.5.
  * pytest 6.2+ is the minimum version required.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 30 Sep 2021 12:19:28 +0200

cwltool (3.1.20210922203925-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Refresh patches.
  * Suggest podman
  * Needs at least version 8.2.20210914115719 of python3-schema-salad.
  * New build-dep: python3-typing-extensions
  * tweak an override

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 29 Sep 2021 20:46:09 +0200

cwltool (3.0.20210124104916-3) unstable; urgency=high

  * debian/control: this version of cwltool breaks toil less than
    version 5.
  * Add unminified version of jshint 2.12.0 to debian/missing-sources/
  * debian/patches/add_interps: add missing "#!/usr/bin/env cwl-runner"
  * Silence lintian false-positives.
  * debian/rules: Delete cruft after running the build-time tests.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Jan 2021 10:36:01 +0100

cwltool (3.0.20210124104916-2) unstable; urgency=high

  * Remove reference to the un-packaged bagit Python module.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 19:24:44 +0100

cwltool (3.0.20210124104916-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches
  * debian/control: new dep: argcomplete
  * debian/rules: adjust to changes in udocker test names.
  * Drop unneeded pytest 4.x patch.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 17:23:49 +0100

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
                python3-coloredlogs,
                python3-rdflib,
                python3-rdflib-jsonld <!nocheck>,
-               python3-schema-salad (>=7.0.20210124093443),
+               python3-schema-salad (>=8.2.20210914115719),
                python3-shellescape,
                python3-html5lib,
                python3-sparqlwrapper,
                python3-keepalive,
                python3-ruamel.yaml,
-               python3-pytest <!nocheck>,
+               python3-pytest (>> 6.2) <!nocheck>,
                python3-pytest-xdist <!nocheck>,
                python3-pytest-runner <!nocheck>,
                python3-pytest-mock <!nocheck>,
@@ -29,9 +29,10 @@
                python3-arcp,
                python3-pydot,
                python3-argcomplete,
+               python3-typing-extensions,
                nodejs,
                help2man
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/cwltool
 Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
 Homepage: https://www.commonwl.org
@@ -43,11 +44,10 @@
          ${misc:Depends},
          python3-mypy-extensions,
          python3-arcp,
-         python3-argcomplete,
-         python3-distutils
+         python3-argcomplete
 Recommends: nodejs
-Breaks: toil (<< 5)
-Suggests: docker.io | singularity-container
+Breaks: toil (<< 5.5)
+Suggests: podman | docker.io | singularity-container
 Provides: cwl-runner
 Description: Common Workflow Language reference implementation
  This is the reference implementation of the Common Workflow Language

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,6 @@
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
 	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
-		-k 'not test_http_path_mapping and not test_pack and not test_get_subgraph and not test_use_metadata and not test_load_graph_fragment_from_packed and not test_udocker_usage_should_not_write_cid_file and not test_udocker_should_display_memory_usage' \
-		-n auto --dist=loadfile --ignore cwltool/schemas/ -s --pyargs cwltool" dh_auto_test
+		-k 'not (test_http_path_mapping or test_pack or test_get_subgraph or test_use_metadata or test_load_graph_fragment_from_packed or test_udocker_usage_should_not_write_cid_file or test_udocker_should_display_memory_usage or test_content_types or test_get_step)' \
+		-n auto --ignore cwltool/schemas/ -rs --pyargs cwltool" dh_auto_test
 endif

## cwltool 3.1.20211104071347

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 PYSOURCES=$(wildcard ${MODULE}/**.py tests/*.py) setup.py
 DEVPKGS=diff_cover black pylint pep257 pydocstyle flake8 tox tox-pyenv \
 	isort wheel autoflake flake8-bugbear pyupgrade bandit \
-	-rtest-requirements.txt -rmypy_requirements.txt
+	-rtest-requirements.txt -rmypy-requirements.txt
 DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount \
 	   python-flake8 python-mock shellcheck

=== requirements.txt ===
requests>=2.4.3
ruamel.yaml>=0.15,<0.17.17
rdflib>=4.2.2,<6.1
shellescape>=3.4.1,<3.9
schema-salad>=8.2.20211104054942,<9
prov==1.5.1
bagit==1.8.1
mypy-extensions
psutil>=5.6.6
typing-extensions
coloredlogs
pydot>=1.4.1
argcomplete>=1.12.0
pyparsing != 3.0.2  # breaks --print-dot (pydot) https://github.com/pyparsing/pyparsing/issues/319
pyparsing < 3;python_version<='3.6'  # breaks --print-dot

=== debian/changelog ===
cwltool (3.1.20211104071347-3) unstable; urgency=medium

  * Team upload.

  [ Chris Lamb ]
  * Make build reproducible
    Closes: #1001277

 -- Andreas Tille <tille@debian.org>  Sun, 12 Dec 2021 07:45:19 +0100

cwltool (3.1.20211104071347-2) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * Update Breaks for toil << 5.5.0-5

  [ Andreas Tille ]
  * Depends: python3-distutils
    Closes: #999556

 -- Andreas Tille <tille@debian.org>  Sat, 13 Nov 2021 08:48:03 +0100

cwltool (3.1.20211104071347-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches.
  * Remove debian/patches/fix-test_malformed_reqs; applied upstream.
  * Bump minimum schema-salad version to 8.2.20211104054942.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 04 Nov 2021 11:53:50 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-coloredlogs,
                python3-rdflib,
                python3-rdflib-jsonld <!nocheck>,
-               python3-schema-salad (>=8.2.20210914115719),
+               python3-schema-salad (>=8.2.20211104054942),
                python3-shellescape,
                python3-html5lib,
                python3-sparqlwrapper,
@@ -44,9 +44,10 @@
          ${misc:Depends},
          python3-mypy-extensions,
          python3-arcp,
-         python3-argcomplete
+         python3-argcomplete,
+         python3-distutils
 Recommends: nodejs
-Breaks: toil (<< 5.5)
+Breaks: toil (<< 5.5.0-5)
 Suggests: podman | docker.io | singularity-container
 Provides: cwl-runner
 Description: Common Workflow Language reference implementation

=== debian/rules ===
--- 
+++ 
@@ -36,4 +36,5 @@
 	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
 		-k 'not (test_http_path_mapping or test_pack or test_get_subgraph or test_use_metadata or test_load_graph_fragment_from_packed or test_udocker_usage_should_not_write_cid_file or test_udocker_should_display_memory_usage or test_content_types or test_get_step)' \
 		-n auto --ignore cwltool/schemas/ -rs --pyargs cwltool" dh_auto_test
+	find .pybuild -name "out" -type f -delete
 endif

## cwltool 3.1.20220119140128

=== Makefile ===
--- 
+++ 
@@ -184,7 +184,7 @@
 		cwltool-in-docker.sh
 
 pyupgrade: $(PYSOURCES)
-	pyupgrade --exit-zero-even-if-changed --py36-plus $^
+	pyupgrade --exit-zero-even-if-changed --py37-plus $^
 
 release-test: check-python3 FORCE
 	git diff-index --quiet HEAD -- || ( echo You have uncommited changes, please commit them and try again; false )

=== requirements.txt ===
requests>=2.4.3
ruamel.yaml>=0.15,<0.17.21
rdflib>=4.2.2,<6.2
shellescape>=3.4.1,<3.9
schema-salad>=8.2.20211104054942,<9
prov==1.5.1
bagit==1.8.1
mypy-extensions
psutil>=5.6.6
typing-extensions
coloredlogs
pydot>=1.4.1
argcomplete>=1.12.0
pyparsing != 3.0.2  # breaks --print-dot (pydot) https://github.com/pyparsing/pyparsing/issues/319

=== debian/changelog ===
cwltool (3.1.20220119140128-2) unstable; urgency=medium

  * d/control: This release of cwltool breaks toil package versions
    before 5.6.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 24 Jan 2022 10:38:47 +0100

cwltool (3.1.20220119140128-1) unstable; urgency=medium

  * New upstream version
  * debian/rules: skip fewer tests, document reasons for the
    remaining skips

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 19 Jan 2022 16:02:29 +0100

## cwltool 3.1.20220224085855

=== Makefile ===
--- 
+++ 
@@ -25,8 +25,8 @@
 # `SHELL=bash` doesn't work for some, so don't use BASH-isms like
 # `[[` conditional expressions.
 PYSOURCES=$(wildcard ${MODULE}/**.py tests/*.py) setup.py
-DEVPKGS=diff_cover black pylint pep257 pydocstyle flake8 tox tox-pyenv \
-	isort wheel autoflake flake8-bugbear pyupgrade bandit \
+DEVPKGS=diff_cover pylint pep257 pydocstyle tox tox-pyenv \
+	isort wheel autoflake pyupgrade bandit -rlint-requirements.txt\
 	-rtest-requirements.txt -rmypy-requirements.txt
 DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount \
 	   python-flake8 python-mock shellcheck
@@ -49,6 +49,9 @@
 install-dependencies: FORCE
 	pip install --upgrade $(DEVPKGS)
 	pip install -r requirements.txt
+
+install-doc-dep:
+	pip install -r docs/requirements.txt
 
 ## install-deb-dep: install most of the dev dependencies via apt-get
 install-deb-dep:
@@ -184,7 +187,7 @@
 		cwltool-in-docker.sh
 
 pyupgrade: $(PYSOURCES)
-	pyupgrade --exit-zero-even-if-changed --py37-plus $^
+	pyupgrade --exit-zero-even-if-changed --py36-plus $^
 
 release-test: check-python3 FORCE
 	git diff-index --quiet HEAD -- || ( echo You have uncommited changes, please commit them and try again; false )

=== requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 requests>=2.4.3
-ruamel.yaml>=0.15,<0.17.21
+ruamel.yaml>=0.15,<0.17.22
 rdflib>=4.2.2,<6.2
 shellescape>=3.4.1,<3.9
 schema-salad>=8.2.20211104054942,<9
@@ -12,3 +12,4 @@
 pydot>=1.4.1
 argcomplete>=1.12.0
 pyparsing != 3.0.2  # breaks --print-dot (pydot) https://github.com/pyparsing/pyparsing/issues/319
+pyparsing < 3;python_version<='3.6'  # breaks --print-dot

=== debian/changelog ===
cwltool (3.1.20220224085855-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 10 Apr 2022 17:07:15 +0200

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
          python3-argcomplete,
          python3-distutils
 Recommends: nodejs
-Breaks: toil (<< 5.5.0-5)
+Breaks: toil (<< 5.6)
 Suggests: podman | docker.io | singularity-container
 Provides: cwl-runner
 Description: Common Workflow Language reference implementation

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,9 @@
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
 	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
-		-k 'not (test_http_path_mapping or test_pack or test_get_subgraph or test_use_metadata or test_load_graph_fragment_from_packed or test_udocker_usage_should_not_write_cid_file or test_udocker_should_display_memory_usage or test_content_types or test_get_step)' \
+		-k 'not (test_http_path_mapping or test_get_subgraph or test_udocker_usage_should_not_write_cid_file or test_udocker_should_display_memory_usage or test_content_types or test_get_step)' \
 		-n auto --ignore cwltool/schemas/ -rs --pyargs cwltool" dh_auto_test
 	find .pybuild -name "out" -type f -delete
 endif
+# test_http_path_mapping requires internet access (could be mocked?)
+# test_get_{subgraph,step} embedded local path isn't being cleaned properly

=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-pytest-xdist, python3-pytest-mock, python3-pytest-runner, nodejs, curl, python3-mock, procps, python3-pytest (>> 6.2)
Restrictions: allow-stderr
